Home

# Class goog.gears.UrlCapture

Class capture URLs to a ResourceStore on the LocalServer.

extends goog.events.EventTarget

Instance Method Summary
| `abort(number captureId)` Aborts the capture with the given id. Dispatches abort event.
| `capture(?Array uris) ⇒ number` Starts the capture of the given URLs. Returns immediately, and fires events on success and error.
| `captureCallback_(string url, boolean success, number captureId)` This is the callback passed into ResourceStore.capture. It gets called each time a URL is captured.
| `cleanupCapture_(number captureId)` Helper function to cleanup after a capture completes or is aborted.
| `copy((goog.Uri|null|string) srcUri, (goog.Uri|null|string) dstUri)` Copies a Url that's been captured.
| `exists() ⇒ boolean` Determine if the UrlCapture has been created.
| `getResourceStore_() ⇒ ?GearsResourceStore` Lazy initializer for resource store.
| `isCaptured((goog.Uri|null|string) uri) ⇒ boolean` Checks if a URL is captured.
| `remove((goog.Uri|null|string) uri)` Removes the given URI from the store.
| `removeStore()` Remove this resource store.
| `rename((goog.Uri|null|string) srcUri, (goog.Uri|null|string) dstUri)` Renames a Url that's been captured.
| `usesGoogUri_(number captureId) ⇒ boolean` Helper function to check whether a certain capture is using URIs of type String or type goog.Uri